%define majver %(echo %version | cut -d. -f1-2)
Name:          darktable
Version:       2.4.3
Release:       1mamba
Summary:       An open source photography workflow application and RAW developer
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.darktable.org/
Source:        https://github.com/darktable-org/darktable.git/release-%{version}/darktable-%{version}.tar.bz2
Patch0:        darktable-1.0-librsvg-2.36.4.patch
Patch1:        darktable-1.4.2-build-fixes-x86.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GraphicsMagick-devel
BuildRequires: colord-gtk-devel
BuildRequires: ghostscript-devel
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSDL-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcolord-devel
BuildRequires: libcups-devel
BuildRequires: libcurl-devel
BuildRequires: libexiv2-devel
BuildRequires: libflickcurl-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgomp-devel
BuildRequires: libgphoto2-devel
BuildRequires: libgtk-devel
BuildRequires: libilmbase-devel
BuildRequires: libjpeg-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblcms2-devel
BuildRequires: liblensfun-devel
BuildRequires: liblua-devel
BuildRequires: libopenexr-devel
BuildRequires: libopenjpeg1-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libreadline-devel
BuildRequires: librsvg-devel
BuildRequires: libsecret-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libcolord-devel >= 1.2.12-1mamba
BuildRequires: pugixml-devel
BuildRequires: libgphoto2-devel >= 1:2.5
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
Darktable is an open source photography workflow application and RAW developer.
A virtual lighttable and darkroom for photographers.
It manages your digital negatives in a database, lets you view them through a zoomable lighttable and enables you to develop raw images and enhance them.

%prep
%setup -q
#%patch1 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}

# remove unpackaged files
rm -f %{buildroot}%{_defaultdocdir}/darktable/{AUTHORS,LICENSE,README,TRANSLATORS}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/darktable*
%dir %{_libdir}/darktable
%{_libdir}/darktable/libdarktable.so
%dir %{_libdir}/darktable/plugins
%{_libdir}/darktable/plugins/*.so
%dir %{_libdir}/darktable/plugins/imageio
%dir %{_libdir}/darktable/plugins/imageio/format
%{_libdir}/darktable/plugins/imageio/format/*.so
%dir %{_libdir}/darktable/plugins/imageio/storage
%{_libdir}/darktable/plugins/imageio/storage/*.so
%dir %{_libdir}/darktable/plugins/lighttable
%{_libdir}/darktable/plugins/lighttable/*.so
%dir %{_libdir}/darktable/views
%{_libdir}/darktable/views/*.so
%{_datadir}/appdata/darktable.appdata.xml
%{_datadir}/applications/darktable.desktop
%dir %{_datadir}/darktable
%{_datadir}/darktable/*
%{_datadir}/icons/hicolor/*/apps/darktable.png
%{_datadir}/icons/hicolor/*/apps/darktable*.svg
#%{_datadir}/icons/hicolor/scalable/apps/darktable*.svg
%dir %{_docdir}/darktable
%{_docdir}/darktable/*
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/fr/man1/*
%{_mandir}/es/man1/*

%changelog
* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Dec 26 2017 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon May 29 2017 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Tue Apr 04 2017 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Wed Feb 01 2017 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Mon Jan 30 2017 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- rebuilt by autoport with build requirements: libcolord-devel>=1.2.12-1mamba

* Sun Jan 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Wed Jan 06 2016 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Tue Oct 20 2015 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic version update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic version update by autodist

* Tue Apr 28 2015 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Tue Apr 07 2015 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Mon Mar 02 2015 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- update to 1.6.0

* Fri Dec 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-2mamba
- rebuilt with libgphoto2 2.5.5

* Sat May 03 2014 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Dec 28 2013 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Wed Sep 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Wed Jun 26 2013 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- update to 1.2

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2mamba
- rebuilt with libkexiv2 4.9.3

* Fri Mar 23 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.0-1mamba
- update to version 1.0


* Sat Jan 21 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.9.3-1mamba
- package created by autospec
